function str = padding(str, len)
% str = padding(str, len)
%
% padding
%
% Input
% -----
% str  ............ char array
% len  ............ total length of str padding with blanks
%
% Output
% ------
% str  ............. result char array
%
% $Id$

l = length(str);
if l < len
  str = [str, blanks(len-l)];
end